package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备命令对象 sys_device_command
 * 
 * @author ruoyi
 * @date 2023-08-14
 */
public class SysDeviceCommand extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long commandId;

    /** 命令实体 */
    @Excel(name = "命令实体")
    private String command;

    /** 模式 */
    @Excel(name = "模式")
    private String mode;

    /** 时长 */
    @Excel(name = "时长")
    private Long duration;

    /** 订阅命令 */
    @Excel(name = "订阅命令")
    private String subscribe;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private String deviceType;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    private String func;

    public String getFunc() {
        return func;
    }

    public void setFunc(String func) {
        this.func = func;
    }

    public void setCommandId(Long commandId)
    {
        this.commandId = commandId;
    }

    public Long getCommandId() 
    {
        return commandId;
    }
    public void setCommand(String command) 
    {
        this.command = command;
    }

    public String getCommand() 
    {
        return command;
    }
    public void setMode(String mode) 
    {
        this.mode = mode;
    }

    public String getMode() 
    {
        return mode;
    }
    public void setDuration(Long duration) 
    {
        this.duration = duration;
    }

    public Long getDuration() 
    {
        return duration;
    }
    public void setSubscribe(String subscribe) 
    {
        this.subscribe = subscribe;
    }

    public String getSubscribe() 
    {
        return subscribe;
    }
    public void setDeviceType(String deviceType) 
    {
        this.deviceType = deviceType;
    }

    public String getDeviceType() 
    {
        return deviceType;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("commandId", getCommandId())
            .append("command", getCommand())
            .append("mode", getMode())
            .append("duration", getDuration())
            .append("subscribe", getSubscribe())
            .append("remark", getRemark())
            .append("deviceType", getDeviceType())
            .append("sort", getSort())
            .toString();
    }
}
